﻿/* -------------------packageFunButton-------------------*/

#packageFunButton {
  height: 40px;
}

/* -------------------packageLibrary-------------------*/

#packageLibrary {
  /* background-color: #ffffff; */
  background-color: transparent;
  border-radius: 10px 10px 10px 10px;
  /*box-shadow:0 0 25px 5px #2ABBFF;*/
  /*#999*/
  width: 400px;
  height: 185px;
  padding: 0px 0px 0px 4px;
  position: absolute;
  z-index: 9999;
}

/* -------------------packageMenu-------------------*/

/* packageMenuWrapper packageMenuScroller */

#packageMenuWrapper {
  position: relative;
  z-index: 999;
  height: 35px;
  width: 100%;
  overflow: hidden;
  -ms-touch-action: none;
  /* border-bottom: 1px solid #ccc; */
  background: #adb5bd;
   /* #adb5bd; */
  padding: 8px 0px 0px 4px;
}

#packageMenuScroller {
  position: absolute;
  z-index: 999;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  width: 1800px;
  height: 300px;
  -webkit-transform: translateZ(0);
  -moz-transform: translateZ(0);
  -ms-transform: translateZ(0);
  -o-transform: translateZ(0);
  transform: translateZ(0);
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-text-size-adjust: none;
  -moz-text-size-adjust: none;
  -ms-text-size-adjust: none;
  -o-text-size-adjust: none;
  text-size-adjust: none;
}

#packageMenuScroller ul {
  list-style: none;
  width: 100%;
  padding: 0;
  margin: 0;
}

/*2021.12 UI調整 */
#packageMenuScroller li {
  color: white;
  /* 固定寬度 */
  /*width: 90px;*/
  /* 動態寬度 */
  padding-left: 20px;
  padding-right: 20px;
  height: 40px;
  float: left;
  line-height: 35px;
  /* border-right: 1px solid #5471b9;
  border-left: 1px solid #5471b9; */
  /* border-top: 1px solid #ccc; */
  /* background-color:#5471b9; */
  color: white;
  font-size: 16px;
  overflow: hidden;
  text-align: center;
  /* 文字超過變成 ...
  list-style-position:inside;
  white-space: nowrap;
  text-overflow: ellipsis; 
  */
  border-radius: 4px 4px 0px 0px;
}

/* -------------------packageItem-------------------*/

/*
packageItemWrapper
packageItemScroller
*/

#packageItemWrapper {
  position: relative;
  width: 100%;
  height: 150px;
  overflow: hidden;
  /* Prevent native touch events on Windows */
  -ms-touch-action: none;
  /* Prevent the callout on tap-hold and text selection */
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  /* Prevent text resize on orientation change, useful for web-apps */
  -webkit-text-size-adjust: none;
  -moz-text-size-adjust: none;
  -ms-text-size-adjust: none;
  -o-text-size-adjust: none;
  text-size-adjust: none;
}

#packageItemScroller {
  position: relative;
  /* Prevent elements to be highlighted on tap */
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  /* Put the scroller into the HW Compositing layer right from the start */
  -webkit-transform: translateZ(0);
  -moz-transform: translateZ(0);
  -ms-transform: translateZ(0);
  -o-transform: translateZ(0);
  transform: translateZ(0);
  border-bottom: 1px solid #000;
}

#packageItemScroller ul {
  list-style: none;
  padding: 0;
  margin: 0;
  width: 100%;
  text-align: left;
}
/*2021.12 UI調整 */
#packageItemScroller li {
  height: 44px;
  line-height: 44px;
  border-bottom: 1px solid #ccc;
  background-color: rgba(250, 250, 0, 0);
  font-size: 14px;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}

#packageItemScroller .ui-link-inherit {
  margin-left: 10px;
  font-size: 16px;
  font-weight: 400;
  float: left;
  width: 80%;
  min-width: 100px;
  min-height: 50px;
}

input[type="checkbox"] {
  width: 20px;
  height: 20px;
  -moz-appearance: none;
  border: 1px solid #777;
  border-radius: 3px;
  background-color: #eee;
  float: left;
  margin-top: 11px;
}

a {
  text-decoration: none!important;
}

.sortMenuButton {
  -moz-border-radius: 5px;
  -webkit-border-radius: 5px;
  position: absolute;
  background: white;
  background-image: url("../icons/DART/menu.png");
  right: 0;
  margin-right: 50px;
  margin-top: 13px;
  margin-left: 10px;
  /*top: 50%;*/
  z-index: 999;
  width: 32px;
  height: 25px;
}

/************ scroll bar**********************/

.iScrollHorizontalScrollbar {
  position: absolute;
  z-index: 999;
  height: 1px;
  left: 1px;
  right: 1px;
  bottom: 1px;
}

.iScrollHorizontalScrollbar.iScrollBothScrollbars {
  right: 0px;
}

.iScrollVerticalScrollbar {
  position: absolute;
  z-index: 999;
  width: 3px;
  bottom: 0px;
  top: 0px;
  right: 0px;
  /*
  border-top-left-radius:3px;
  border-top-right-radius:3px;
  border-bottom-right-radius:3px;
  border-bottom-left-radius:3px;
  */
}

.iScrollIndicator {
  position: absolute;
  /*background: #cc3f6e;*/
  border-width: 1px;
  border-style: solid;
  /*border-color: #EB97B4 #7C2845 #7C2845 #EB97B4; #7C6BFF #1400FF #1400FF #7C6BFF*/
  /*border-color: rgba(124, 107, 255, 0.5) rgba(0, 0, 0, 0.5);*/
  border-color: #5d5d5d #474747;
  /*
  border-top-left-radius:3px;
  border-top-right-radius:3px;
  border-bottom-right-radius:3px;
  border-bottom-left-radius:3px;
  */
}

/*************** ListViewDelete ***********************/

.aDeleteBtn {
  position: absolute;
  /*
  -moz-border-radius: 5px;
  -webkit-border-radius: 5px;
  padding: 3px 5px 3px 5px;
  position: absolute;
  right: 0;
  margin-top:5px;
  margin-right:10px;

  z-index: 999;
  height:30px;
  line-height: 30px;
  */
}

.leftSwitchBtn {
  -moz-border-radius: 15px;
  -webkit-border-radius: 15px;
  /*position: absolute;*/
  background-image: url("../icons/DART/Minus24.png");
  left: 0;
  margin-top: 12px;
  margin-left: 10px;
  /*top: 50%;*/
  z-index: 999;
  /* width: 24px;
  height: 24px; */
  width: 6px;
  height: 6px;
  padding-top: 25px;
  padding-left: 25px;
  float: left;
  background-size: contain;
  display: none;
}

.defaultButton {
  /*position:absolute;*/
  font-size: 1em;
  margin-left: 6px;
  /*top: 50%;*/
  margin-top: 11px;
  /*z-index: 999;*/
  border-radius: 8px;
  -webkit-border-radius: 8px;
  padding: 3px 5px;
  height: 23px;
  line-height: 23px;
  background: #0d6efd;
  color: white;
  float: left;
}

a.ui-link-inherit {
  /*margin-left:30px;*/
  color: black;
}

/* red color buttons */

.ui-btn-up-r {
  background-image: url(../icons/DART/deleteItem.jpg);
  width: 32px;
  height: 32px;
  padding: 0px;
  border-radius: 15px;
  -webkit-border-radius: 15px;
  background-color: unset;
  display: block;
  background-repeat: no-repeat;
  background-position: 0px;
  /* margin-top: 2px;
  margin-right: 10px;
  padding-top: 45px; */
  margin-top: -2px;
  padding-top: 25px;
  padding-left: 25px;
  float: left;
}

.ui-btn-up-r-backup {
  border: 1px solid #953403;
  color: #fff;
  text-shadow: 0 -1px 1px #953403;
  background: red;
  /*Chrome的語法*/
  background: -webkit-gradient( linear, left top, left bottom, color-stop(0, #ec4a0b), color-stop(1, #ad390c));
  /*FireFox的語法*/
  background: -moz-linear-gradient(top, #ec4a0b, #ad390c);
  /*IE6~IE8的語法*/
  filter: progid: DXImageTransform.Microsoft.gradient(GradientType=0, startColorstr='#ec4a0b', endColorstr='#ad390c');
  /* Opera 11.10+ */
  background: -o-linear-gradient(top, #ec4a0b, #ad390c);
}

.mainFunction {
  position: absolute;
  z-index: 999;
  color: white;
  padding-left: 20px;
  padding-right: 20px;
  height: 40px;
  line-height: 0px;
  font-size: 18px;
  font-weight: bold;
  line-height: 40px;
  text-shadow: 0 -1px 1px #953403;
  border-right: 1px solid #AF3100;
  border-left: 1px solid #AF3100;
  /*margin-top: -40px;*/
  -moz-border-radius: 10px;
  -webkit-border-radius: 10px;
  background: red;
  /*Chrome的語法*/
  background: -webkit-gradient( linear, left top, left bottom, color-stop(0, #FF7038), color-stop(1, #AF3100));
  /*FireFox的語法*/
  background: -moz-linear-gradient(top, #FF7038, #AF3100);
  /*IE6~IE8的語法*/
  filter: progid: DXImageTransform.Microsoft.gradient(GradientType=0, startColorstr='#FF7038', endColorstr='#AF3100');
  /* Opera 11.10+ */
  background: -o-linear-gradient(top, #FF7038, #AF3100);
}

.mainFunction:hover {
  background: red;
  /*Chrome的語法*/
  background: -webkit-gradient( linear, left top, left bottom, color-stop(0, #AF3100), color-stop(1, #FF7038));
  /*FireFox的語法*/
  background: -moz-linear-gradient(top, #AF3100, #FF7038);
  /*IE6~IE8的語法*/
  filter: progid: DXImageTransform.Microsoft.gradient(GradientType=0, startColorstr='#AF3100', endColorstr='#FF7038');
  /* Opera 11.10+ */
  background: -o-linear-gradient(top, #AF3100, #FF7038);
}

.phraseCheckbox {
  min-width: 25px;
  min-height: 25px;
  margin-left: 1em;
  vertical-align: middle;
}

#addPackageTo, #appendPackageTo, #showKeyboard, #clearPackageInput, #hidePackage, #departPackage {
  font-size: 14px;
  font-weight: 400;
  font-family: '微軟正黑體';
  margin-bottom: 4px;
  padding: 6px 8px;
  background: #0d6efd;
  background: -o-linear-gradient(top, #777, #49494b);
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  color: #fff;
  text-decoration: none;
  -webkit-transition: .2s;
  -moz-transition: .2s;
  -o-transition: .2s;
  cursor: pointer;
  min-width: 70px;
  float: left;
  text-align: center;
}
#addPackageTo:hover, #appendPackageTo:hover, #showKeyboard:hover, #clearPackageInput:hover, #hidePackage:hover, #departPackage:hover {
  background: #3459b4;
}

#appendPackageTo, #hidePackage {
  float: left;
}

/* #hidePackage {
  float: right;
} */

#searchDept {
  margin-left: 20px;
}

#searchPhrase {
  height: 33px;
  /* width: 260px; */
  float: left;
}

#searchPhrase input {
  margin-top: -2px;
}